Skip to main content

Split Settlement

If you didn't send split_info on the original Payment Request, or if the original used split_enforce_strict=y to hold settlement, use this endpoint to provide split instructions before the daily settlement cycle.

Endpoint

POST https://pgbiz.omniware.in/v2/splitsettlementrequest
Content-Type: application/x-www-form-urlencoded

Request parameters

api_keystring (36)required
order_idstringrequired
Order ID of the transaction to split.
split_infojsonrequired

Split spec. Can use percentages or fixed amounts (not both per vendor).

hashstring (255)required

SHA512(salt | api_key | order_id | split_info) uppercased.

split_info shape

{
"vendors": [
{ "vendor_code": "2VEN449", "split_amount_percentage": "80" },
{ "vendor_code": "XYZ123", "split_amount_fixed": "11" }
]
}

Response

{ "data": { "message": "The split settlement request is successful." } }
ErrorCause
1024 Sum of split amount should be less than or equal to settlement amountTotal split exceeds the transaction amount.
1007 One or more Codes is either not added or not approvedVendor doesn't exist or is pending Omniware approval.

Vendors must be approved first

Vendors are non-approved on creation. Omniware approves them out-of-band for security reasons. See Vendor APIs.